Subject: Re: bug#16105: (setq ns-auto-hide-menu-bar t) unhides the dock on S.L. 10.6.8.

From: Jan Djärv <[email-masked]>
Date: Sun, 8 Jun 2014 18:07:23 +0200

Hello.

6 jun 2014 kl. 19:00 skrev Keith David Bershatsky <[email-masked]>:

> Hello:
> 
> Thank you, Jan, for taking a look at bug #16105.  I'm using Emacs Trunk built a few days ago:
> 
> GNU Emacs 24.4.50.1 (x86_64-apple-darwin10.8.0, NS appkit-1038.36 Version 10.6.8 (Build 10K549)) of 2014-06-01 on MP.local
> 
> The bug is present on all three of my computers using the exact steps mentioned in the original bug report.  So, if you have tried those exact steps and are not seeing it, then perhaps  it is an issue similar to a previous one a few months ago.  A few months ago, you discovered that I was using a certain set of tools to build Emacs, which was different than the ones you are using, and that was the reason I was seeing a bug with the help menu.  I mention this because I'm still using the same tools to build Emacs.  I don't remember the name exactly, but it was something like "clang".

I build with clang.

> 
> Essentially, the steps to show the bug are:
> 
> * Place an Emacs Trunk shortcut on the dock.
> 
> * Hide the dock.
> 
> * C-F3 -- type "em" so the Emacs icon gets focus, and then press the enter key to launch Emacs.
> 
> * Once Emacs is launched, Command+Tab to another application such as Finder or Safari or Firefox.
> 
> * To switch back to Emacs, C-F3 -- type "em" so the Emacs icon gets focus, and then press the enter key to return to the already open Emacs.
> 
> * And, I think that's it, the Dock will not be visible in Emacs, but when you Command-Tab back to any other application the Dock will be visible.  And hiding will not work again for other applications unless OSX is restarted, or unless you clock on Show the Dock and then Hide the Dock again to restore functionality.

I still can't reproduce it.  Dock hides as it should in all applications after following your steps.

	Jan D.

>> 
>> Thanks
>> 
>> Keith
>> 
>> 
>> 
>> 
>> ---------------------------------------
>> 
>> On Jun 6, 2014, at 9:22 AM, Jan Djärv wrote:
>> 
>>> Hello.
>>> 
>>> FWIW, I don't see the original bug with Emacs trunk on OX 10.6.8.  Can you try that version?
>>> 
>>> 	Jan D.
>>> 
>>> 3 jun 2014 kl. 21.18 skrev Keith David Bershatsky:
>>> 
>>>> I have a workaround for bug #16105, which may help the Emacs team locate the root cause.
>>>> 
>>>> * Remove the Emacs.app shortcut from the Dock.
>>>> 
>>>> * Restore hiding of the Dock to its normal working state.
>>>> 
>>>> ** Click on the Apple logo.
>>>> 
>>>> ** Go down to Dock on the menu.
>>>> 
>>>> ** Select `Turn Hiding Off`
>>>> 
>>>> ** Repeat the process now, but select `Turn Hiding On` this time around.
>>>> 
>>>> * With the open-source program called Platypus, create an Application with the following script -- adjust the path accordingly.
>>>> 
>>>> #!/bin/sh
>>>> 
>>>> osascript -e 'tell application "/Users/HOME/.0.data/.0.emacs/Emacs_06_01_2014.app/Contents/MacOS/Emacs" to activate'
>>>> 
>>>> * Drag that newly created application to the Dock to create a shortcut -- this will be the new method for activating Emacs with C-F3 or returning to Emacs with C-F3 when it is already running.
>>>> 
>>>> 
>>>> That's it -- workaround achieved!  So, bug #16105 is triggered specifically by accessing Emacs from the Dock with a shortcut created from the Emacs application.  A different method of activating Emacs avoids triggering the bug.
>>>> 
>>>> Thanks,
>>>> 
>>>> Keith
>>>> 
>>>> 
>>> 
>